# FreeBSD

```{eval-rst}
.. autoclass:: serialx.platforms.serial_freebsd.FreeBSDSerial
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autoclass:: serialx.platforms.serial_freebsd.FreeBSDSerialTransport
   :members:
   :member-order: bysource
```

```{eval-rst}
.. autofunction:: serialx.platforms.serial_freebsd.freebsd_list_serial_ports
```
